using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace MadRunFabric.Common.Enums
{
    /// <summary>
    /// 报修工单状态
    /// </summary>
    public enum EnumWorkOrderState
    {//0创建工单，1已转派（转派或者抢单），2已处理，3已评价，7挂起，8已取消，9已完成
        [Description("创建工单")]
        create = 0,
        [Description("1已转派/已抢单")]
        assign = 1,
        [Description("2已处理")]
        deal = 2,
        [Description("3已评价")]
        evaluate = 3,
        [Description("7挂起")]
        hangup = 7,
        [Description("8已取消")]
        cancle = 8,
        [Description("9已完工")]
        finish = 9
    }

    /// <summary>
    /// 报修工单渠道来源
    /// </summary>
    public enum EnumWorkOrderChannel
    {//渠道来源 1表示PC 2表示安卓 3表示IOS 4表示微信
        [Description("1表示PC")]
        pc = 1,
        [Description("2表示安卓")]
        android = 2,
        [Description("3表示IOS")]
        ios = 3,
        [Description("4表示微信")]
        wechat = 4
    }
}
